Welcome to the Support Centre 👋

App iOS Compatibility

Social Dummy is iOS 11 or later.
Written by Ashley Richards Support
Updated 1 month ago

Overtime, new features are added to make the experience better but sometimes these require to drop support for an old OS.

Version Description
Current iOS 11 or later
5.0.5 iOS 10 support dropped
5.0 iOS 9 support dropped
4.5.2 iOS 8 support dropped
4.5.1 iOS 7 support dropped

Did this answer your question?